import { ICloudFnParams, IDsFn } from './types';
import { IGetFnContextConfig } from './get-fn-context';
export interface ICreateAppOptions {
    handlers: Record<string, IDsFn>;
    dsConfig?: IGetFnContextConfig['dsConfig'];
}
export declare function createApp(options: ICreateAppOptions): (params: ICloudFnParams) => Promise<{
    code: number;
    data: any;
    message?: undefined;
} | {
    code: string | number;
    message: string;
    data?: undefined;
} | {
    code: number;
    message: any;
    data?: undefined;
}>;
