export interface ICloudOptions {
    /** yun api 请求的域名, 默认 lowcode */
    service?: string;
    /** 接口版本, 默认 2021-01-08*/
    version?: string;
    /** 接口请求超时时间, 默认10s */
    timeout?: number;
    /** 方法名称 */
    action: string;
    /** 云API参数, 可使用小驼峰书写 */
    params: Record<string, any>;
}
export declare function fetchCloud(options: ICloudOptions): Promise<any>;
